#ifndef LIBTRIPLEX_H
#define LIBTRIPLEX_H

#ifdef __cplusplus
extern "C" {
#endif

#include "gff3.h"

extern double LAMBDA[8];
extern double MI[8];

typedef struct {
	int triplex_type; /**< Triplex type */
	int steps;        /**< Number of steps */
	int min_length;   /**< Minimal triplex length */
	int min_score;    /**< Minimal score treshold */
	int min_loop;     /**< Minimal triplex loop */
	int max_loop;     /**< Maximal triplex loop */
	double p_val;     /**< Acceptable P-value */
} tsearch_params_t;

int triplex_search(gff3_t *gff, const char *buf_id, char *buffer, size_t buflen, tsearch_params_t *params);

#ifdef __cplusplus
}
#endif

#endif /* LIBTRIPLEX_H */
